<template>
  <div class="echart4_box">
    <div id="echart4"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return { myChart };
  },
  mounted() {
    this.lineChart();
    this.$bus.$on('resizeEchart', (res) => {
      this.myChart.resize();
    });
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: '数据总量趋势',
          textStyle: {
            color: '#fff',
          },
        },
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'cross',
            label: {
              backgroundColor: '#FFFFFF',
            },
          },
        },
        legend: {
          data: ['增量', '总量'],
        },
        toolbox: {
          feature: {
            saveAsImage: {},
          },
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          containLabel: true,
        },
        xAxis: [
          {
            axisLine: {
              lineStyle: {
                color: '#ccc',
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: '#fff',
              },
            },
            type: 'category',
            boundaryGap: false,
            data: [2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022],
          },
        ],
        yAxis: [
          {
            axisLine: {
              lineStyle: {
                color: '#ccc',
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: '#fff',
              },
            },
            type: 'value',
            boundaryGap: false,
          },
        ],
        series: [
          {
            name: '增量',
            type: 'line',
            stack: 'Total',
            areaStyle: {
              color: '#83bff6',
              opacity: 0.5,
            },
            emphasis: {
              focus: 'series',
            },
            data: [5120, 3072, 2048, 7168, 3072, 4096, 2048, 3072, 500],
          },

          {
            name: '总量',
            type: 'line',
            stack: 'Total',
            label: {
              show: true,
              position: 'top',
            },
            areaStyle: {
              color: '#188df0',
              opacity: 0.5,
            },
            emphasis: {
              focus: 'series',
            },
            data: [
              27750, 28262, 28569, 28774, 29491, 29798, 30208, 30412, 30720,
            ],
          },
        ],
      };
      this.myChart = this.$echarts.init(document.getElementById('echart4'));
      this.myChart.setOption(option);
      window.addEventListener('resize', function () {
        this.myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart4_box {
  padding: 20px;
  // background: rgba(0, 0, 0, 0.6);
}
#echart4 {
  width: 100%;
  height: 100%;
}
</style>
